SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000945SiT!feedbackpublic2009-09-16 21:022011-06-17 14:13
ReporterTomse 
Assigned ToTomse 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000945: Feedbacks should be enabled pr site.
DescriptionIf/When a site gets its own Control panel.

Feedback forms should be added in the site profile.

This gives the power to direct the feedback forms to a dedicated site
instead of using a "Generic" all-around form.

But also keeping the settings for feedback from all using the Generic form.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001176confirmed Contacts should have their own profile settings page 
child of 0000946confirmed Sites should have their own profile settings page 
child of 0001458resolvedTomse [META] Working feedback system 

-  Notes
User avatar (0001970)
ivan (administrator)
2009-09-17 13:28

I'm not sure what you mean by this exactly. Do you mean to have a specific feedback form for a specific site? Like a form made just for one customer?

I don't know if you're aware, because it's not documented... I'll fix that right after posting this. But you can prevent certain sites from receiving feedback forms completely by going to SiT! | Control Panel | Features | Feedback and setting "No-Feedback Contracts". That sounds at least semi-related to this.
User avatar (0001971)
nicdev (developer)
2009-09-17 13:45

Hi Ivan,

Just to add my 3 cents worth ;-)

We have been looking at using the feedback as well, and from our perspective, it would be handy to have a "tickbox" much like the "data protection stuff" that says "do not send feedback to this customer".

I know we can exclude contracts in the config file but it becomes a bit hairy in if you have a lot of contracts, and it is difficult to keep track as they are numbered, and not names ..

Preferably we would want to limit the feedback by "contact" and not just "contract" as we have a lot of contracts where the manager is a contact and he may not be one of the people that wants to receive the feedback form..

Hope it helps!
User avatar (0001975)
Tomse (developer)
2009-09-17 15:14

you got it right in the first part.
to target a specific customer with a specific feedback form.

consider this example
3 customers
Navy, Air force and Army

q: so how is it to be a sailor ?
User avatar (0002809)
paulh (administrator)
2010-03-21 19:00

Hi Tomse,

Is this one still relevent? Feedback is relating to the incident so I'd have thought the questions would be the same? From your suggestion it seems your suggesting SiT becomes a surveying tool? I could of course be getting the wrong end of the stick
User avatar (0002820)
Tomse (developer)
2010-03-21 22:40

I'm not sure if it is at all necessary, but it was an idea I thought needed to come out.

I guess that there isn't a need for customizable feedbacks targeting individual customers. :-)
User avatar (0002821)
nicdev (developer)
2010-03-22 07:51

Hi Ivan,

Just a note. I misunderstood what tomse meant in a way, but the title of this request is a valid one in the end. It would be good to have a selection in the customer/Site config where you can say "exclude from feedback" like the "data protection" bit in the contact's settings.

This makes it easier to manage when you have 288 sites and want to send feedback only to "certain contacts".

Cheers
User avatar (0002822)
ivan (administrator)
2010-03-22 08:47

There is already a way to exclude a site from feedback via system configuration, but yes an easier way would be nice, this is something we could do once we have per-site and per-contact configuration settings.
User avatar (0002823)
ivan (administrator)
2010-03-22 10:08

Well I was slightly wrong, in fact there's a way to exclude /contacts/ from feedback but not whole sites. see http://sitracker.org/wiki/Configuring#Feedback [^]
User avatar (0002824)
nicdev (developer)
2010-03-22 10:38

Ivan,

I see what you mean ... by excluding a contact's contract in the list, you exclude the contact himself. The problem there is that connected to a certain contract we may have many contacts, and we may just want to exclude some contacts not all for that contract ... does that make sense?

We were discussing this morning about this with Management, and i suppose it depends on each installation of SiT ... for us we would like to see the possibility to exclude/include "contacts" individually from the feedback, in effect to be able to narrow it down to individuals ...

Even if this has no GUI in the beginning, and is the same as the list used to exclude "contracts" it will be extremely useful ;)
User avatar (0002825)
ivan (administrator)
2010-03-22 10:52

I definitely think it would be useful, in fact we might want to give the contact the ability to turn off feedback him/herself, just as he can do with data protection settings in the portal. If a customer doesn't want to fill in feedback forms trying to force him/her to do so is rather pointless.
User avatar (0002826)
nicdev (developer)
2010-03-22 12:41
edited on: 2010-03-22 12:42

I was playing around with this earlier and i have a workaround until 4.x is around...

I created a new function "contact_feedback_locked($contactid)" which checks a new config array "$CONFIG['contact_feedback_disabled']=array()", and returns TRUE when the contact is in the array list.
Then in line 489 of "incident_close.php" we add the following:

++ $contact_blocked = contact_feedback_locked((incident_contact($id));

and add another "AND" to the
if ($CONFIG['feedback_form'] != '' AND $CONFIG['feedback_form'] > 0 AND $send_feedback == TRUE AND $contact_blocked ==TRUE)

This is a crude way, just as the exclusion of contracts but it works(tested it).

EDIT: BTW Ivan i like your idea of making it possible for the user to turn it off.

User avatar (0002829)
ivan (administrator)
2010-03-22 13:17

Confirming this, but I don't think we'll manage it for 4.0 so removing that target. It needs contact settings first.
User avatar (0004031)
Tomse (developer)
2011-06-17 14:13

fixed in : fcbf9a2

- Issue History
Date Modified Username Field Change
2009-09-16 21:02 Tomse New Issue
2009-09-17 13:28 ivan Note Added: 0001970
2009-09-17 13:28 ivan Status new => feedback
2009-09-17 13:45 nicdev Note Added: 0001971
2009-09-17 15:14 Tomse Note Added: 0001975
2010-03-21 19:00 paulh Note Added: 0002809
2010-03-21 22:40 Tomse Note Added: 0002820
2010-03-21 22:40 Tomse Status feedback => new
2010-03-22 07:51 nicdev Note Added: 0002821
2010-03-22 08:47 ivan Note Added: 0002822
2010-03-22 10:08 ivan Note Added: 0002823
2010-03-22 10:38 nicdev Note Added: 0002824
2010-03-22 10:52 ivan Note Added: 0002825
2010-03-22 12:41 nicdev Note Added: 0002826
2010-03-22 12:42 nicdev Note Edited: 0002826 View Revisions
2010-03-22 13:17 ivan Note Added: 0002829
2010-03-22 13:17 ivan Product Version 4.0 =>
2010-03-22 13:17 ivan Assigned To => ivan
2010-03-22 13:17 ivan Status new => confirmed
2010-03-22 13:17 ivan Assigned To ivan =>
2010-03-22 13:27 ivan Relationship added child of 0000946
2010-03-22 13:31 ivan Relationship added related to 0001176
2010-03-24 20:38 ivan Target Version => 4.1
2011-02-14 13:54 ivan Target Version 4.1 => 3.90beta1
2011-02-14 14:02 ivan Relationship added child of 0001458
2011-02-16 17:00 Tomse Assigned To => Tomse
2011-02-16 17:00 Tomse Status confirmed => assigned
2011-06-17 10:52 Tomse Status assigned => confirmed
2011-06-17 14:13 Tomse Note Added: 0004031
2011-06-17 14:13 Tomse Status confirmed => resolved
2011-06-17 14:13 Tomse Fixed in Version => Current GIT
2011-06-17 14:13 Tomse Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker